Bug 803558 - Review Request: ehcache-core - Easy Hibernate Cache
Review Request: ehcache-core - Easy Hibernate Cache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On: 803546
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 22:47 EDT by Andy Grimm
Modified: 2016-11-07 22:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-03-14 22:47:54 EDT
Name        : ehcache-core
Version     : 2.5.1
License     : ASL 2.0
URL         : http://ehcache.sourceforge.net/
Summary     : Easy Hibernate Cache
Description :
Ehcache is a pure Java, in-process cache.

SPEC:
http://downloads.eucalyptus.com/devel/packages/fedora-17/SPECS/ehcache-core.spec

SRPM:
http://downloads.eucalyptus.com/devel/packages/fedora-17/sources/ehcache-core-2.5.1-1.fc18.src.rpm
Comment 2 Matt Spaulding 2012-07-12 18:25:34 EDT
Hey Andy,

I'll review this package. Should I do the review of the one Gil has posted?
Comment 3 Matt Spaulding 2012-07-15 00:53:17 EDT
Here's a full review of the package you posted (version 2.5.1). Please address the issues below and I'll take another look.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===

[x]  Rpmlint output:
ehcache-core.spec: W: invalid-url Source0: ehcache-core-2.5.1.tar.xz
ehcache-core.noarch: W: no-documentation
ehcache-core.src: W: invalid-url Source0: ehcache-core-2.5.1.tar.xz
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[!]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc sub package
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[!]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.

Tested on:

Fedora 17 and Rawhide on x86_64

=== Issues ===

1. Missing BR dependencies. Will not build in mock without adding these:
xml-maven-plugin
maven-dependency-plugin
plexus-resources

2. Also missing BR of java-devel which is required by Java packaging guidelines. Please add this.

3. Ask upstream to include a LICENSE file. Some of the test source files do not have license headers. You might mention that to them as well.

4. Please comment in the spec why tests are not enabled for the maven build.

5. There is a newer version available (2.5.2). Not required; but if the change is trivial, you should update to the latest version.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 4 gil cattaneo 2012-07-15 05:22:49 EDT
hi
> 3. Ask upstream to include a LICENSE file. Some of the test source files do not have license headers. You might mention that to them as well.
is available in src/assemble/EHCACHE-CORE-LICENSE.txt
http://ehcache.org/about/license

> 5. There is a newer version available (2.5.2). Not required; but if the change is trivial, you should update to the latest version.
there is a new version available http://svn.terracotta.org/svn/ehcache/tags/ehcache-core-2.6.0
the source rpm is available here http://gil.fedorapeople.org/
Comment 5 Matt Spaulding 2012-07-16 18:13:39 EDT
(In reply to comment #4)
> hi
> > 3. Ask upstream to include a LICENSE file. Some of the test source files do not have license headers. You might mention that to them as well.
> is available in src/assemble/EHCACHE-CORE-LICENSE.txt
> http://ehcache.org/about/license

Thanks for catching my mistake here. Didn't see that file.

> 
> > 5. There is a newer version available (2.5.2). Not required; but if the change is trivial, you should update to the latest version.
> there is a new version available
> http://svn.terracotta.org/svn/ehcache/tags/ehcache-core-2.6.0
> the source rpm is available here http://gil.fedorapeople.org/

Looked at your new 2.6.0 package. Everything looks good and all issues are corrected.

APPROVED.
Comment 6 gil cattaneo 2012-07-16 19:35:52 EDT
New Package SCM Request
=======================
Package Name: ehcache-core
Short Description: Easy Hibernate Cache
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-07-16 21:59:13 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-17 04:53:17 EDT
ehcache-core-2.6.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ehcache-core-2.6.0-1.fc17
Comment 9 Fedora Update System 2012-07-19 04:56:24 EDT
ehcache-core-2.6.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-26 18:24:39 EDT
ehcache-core-2.6.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.